Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0029564
TypeCategorySeverityReproducibilityDate SubmittedLast Update
feature request[Openbravo ERP] A. PlatformminorN/A2015-04-13 08:292015-08-20 23:16
ReporteralostaleView Statuspublic 
Assigned Toinigosanchez 
PrioritynormalResolutionfixedFixed in Version3.0PR15Q4
StatusclosedFix in branchFixed in SCM revision30caa81f847b
ProjectionnoneETAnoneTarget Version3.0PR15Q4
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned Toalostale
Web browser
ModulesCore
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0029564: Include Connection Pool module into distribution

DescriptionInclude Connection Pool module into distribution

http://wiki.openbravo.com/wiki/Projects:Inclusion_Of_Apache_JDBC_Connection_Pool_In_Distribution [^]
Steps To Reproduce-
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]
related to defect 00309193.0PR16Q1 closedalostale can't use DB connection defined as JNDI service 
related to defect 0034534 closedalostale StatementFinalizer causes some overhead on each statement 
related to design defect 0035503 acknowledgedplatform tomcat pool can't be used in cli tasks 
related to feature request 00380993.0PR18Q3 closedjarmendariz upgrade from <3.0PR15Q4 preserves old pool config 
causes defect 0031959 closedcaristu Incorrect posting data when not defining an external connection pool on the Openbravo.properties 

-  Notes
(0079213)
hgbot (developer)
2015-08-06 09:58

Repository: erp/devel/pi
Changeset: 30caa81f847ba1075d2b6e716fb1e4e8158dafe7
Author: Inigo Sanchez <inigo.sanchez <at> openbravo.com>
Date: Thu Aug 06 09:46:54 2015 +0200
URL: http://code.openbravo.com/erp/devel/pi/rev/30caa81f847ba1075d2b6e716fb1e4e8158dafe7 [^]

Fixed issue 29564: Merge Apache JDBC Connection Pool

---
M .classpath.template
M README
M build.xml
M config/Openbravo.properties.template
M legal/Licensing.txt
M modules/org.openbravo.client.kernel/src/org/openbravo/client/kernel/KernelInitializer.java
M modules/org.openbravo.service.json/src/org/openbravo/service/json/JsonUtils.java
M modules/org.openbravo.v3/src-db/database/sourcedata/AD_MODULE_DEPENDENCY.xml
M src-core/src/org/openbravo/base/ConnectionProviderContextListener.java
M src-core/src/org/openbravo/database/ConnectionProviderImpl.java
M src-core/src/org/openbravo/database/ExternalConnectionPool.java
M src-db/database/lib/dbsourcemanager.jar
M src-trl/.classpath
M src-wad/.classpath
M src/org/openbravo/base/model/ModelProvider.java
M src/org/openbravo/configuration/ConfigurationApp.java
M src/org/openbravo/dal/core/SessionHandler.java
M src/org/openbravo/erpCommon/ad_forms/ModuleManagement.java
M src/org/openbravo/erpCommon/modules/ImportModule.java
M src/org/openbravo/erpCommon/utility/Utility.java
A lib/runtime/postgresql-9.4-1201.jdbc4.jar
A modules/org.openbravo.apachejdbcconnectionpool/lib/runtime/tomcat-jdbc.jar
A modules/org.openbravo.apachejdbcconnectionpool/lib/runtime/tomcat-juli.jar
A modules/org.openbravo.apachejdbcconnectionpool/src-db/database/sourcedata/AD_MODULE.xml
A modules/org.openbravo.apachejdbcconnectionpool/src-db/database/sourcedata/AD_MODULE_DBPREFIX.xml
A modules/org.openbravo.apachejdbcconnectionpool/src-db/database/sourcedata/AD_MODULE_DEPENDENCY.xml
A modules/org.openbravo.apachejdbcconnectionpool/src/org/openbravo/apachejdbcconnectionpool/ConnectionInitializerInterceptor.java
A modules/org.openbravo.apachejdbcconnectionpool/src/org/openbravo/apachejdbcconnectionpool/JdbcExternalConnectionPool.java
A src-util/buildvalidation/build/classes/org/openbravo/buildvalidation/CheckUpdateConnectionPoolMerge.class
A src-util/buildvalidation/build/classes/org/openbravo/buildvalidation/CheckUpdateConnectionPoolMergeData.class
A src-util/buildvalidation/src/org/openbravo/buildvalidation/CheckUpdateConnectionPoolMerge.java
A src-util/buildvalidation/src/org/openbravo/buildvalidation/CheckUpdateConnectionPoolMerge_data.xsql
R lib/runtime/postgresql-9.0-801.jdbc4.jar
---
(0079241)
alostale (developer)
2015-08-07 08:52

code reviewed

tested: http://wiki.openbravo.com/wiki/Projects:Inclusion_Of_Apache_JDBC_Connection_Pool_In_Distribution/QA [^]
(0079528)
hudsonbot (developer)
2015-08-20 23:16

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/8c91718397a5 [^]
Maturity status: Test

- Issue History
Date Modified Username Field Change
2015-04-13 08:29 alostale New Issue
2015-04-13 08:29 alostale Assigned To => platform
2015-04-13 08:29 alostale Modules => Core
2015-04-13 08:29 alostale Triggers an Emergency Pack => No
2015-06-16 11:12 alostale Target Version 3.0PR15Q3 => 3.0PR15Q4
2015-08-06 09:04 alostale Assigned To platform => inigosanchez
2015-08-06 09:04 alostale Review Assigned To => alostale
2015-08-06 09:40 inigosanchez Status new => scheduled
2015-08-06 09:58 hgbot Checkin
2015-08-06 09:58 hgbot Note Added: 0079213
2015-08-06 09:58 hgbot Status scheduled => resolved
2015-08-06 09:58 hgbot Resolution open => fixed
2015-08-06 09:58 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/30caa81f847ba1075d2b6e716fb1e4e8158dafe7 [^]
2015-08-07 08:52 alostale Note Added: 0079241
2015-08-07 08:52 alostale Status resolved => closed
2015-08-07 08:52 alostale Fixed in Version => 3.0PR15Q4
2015-08-20 23:16 hudsonbot Checkin
2015-08-20 23:16 hudsonbot Note Added: 0079528
2015-09-24 12:40 alostale Relationship added related to 0030919
2016-01-20 09:06 alostale Relationship added causes 0031959
2016-11-15 15:47 alostale Relationship added related to 0034534
2017-03-14 09:15 alostale Relationship added related to 0035503
2018-03-12 09:05 alostale Relationship added related to 0038099


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker